<!--Mayra Vázquez Hernández-->
<?php
class Accioneszona_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
      $this->load->helper(array('url'));
   }

   public function guardar($parametro){//guarda los datos de una nueva zona en la bd
      $campos=array(
        
         'NombreZona' => $parametro['NombreZona'],
         'DescripcionZona' => $parametro['DescripcionZona'],
         
      );
      $this->db->insert('zona',$campos);
      $res=$this->db->affected_rows();
      //Valida que se haya hecho la consulta
      if($res==0){
         //Muestra una alerta cuando no se realizo
         // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
         // redirect('franquicias/zonas/administrador/zonaA','refresh');
           echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."franquicias/zonas/administrador/zonaA';
                 </script>";
      }else{
        //Verifica que la consulta se realizo 
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('franquicias/zonas/administrador/zonaA','refresh');
          echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."franquicias/zonas/administrador/zonaA';
                 </script>";
    }
  
   }
   
  public function eliminar ($id){//elimina ua zona por medio de la variable $id que es pasada por el controlador
      
      $this->db->where('IdZona', $id);
      $this->db->delete('zona');
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res>0){
        //Muestra una alerta cuando se realizo
     // echo "<script>alert('Los datos se han eliminado correctamente');</script>";
     //  redirect('franquicias/zonas/administrador/zonaA','refresh');
       echo "<script>alert('Los datos se han eliminado correctamente');
                 window.location.href='".base_url()."franquicias/zonas/administrador/zonaA';
                 </script>";
      }else{
        //Muestra una alerta cuando no se realizo
      //   echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usuando en otras tablas');</script>";
      // redirect('franquicias/zonas/administrador/zonaA','refresh');
       echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usuando en otras tablas');
                 window.location.href='".base_url()."franquicias/zonas/administrador/zonaA';
                 </script>";
      }
   }

   public function obtenerenlace ($id){//permite acceder al id de la zona que se desea editar por medio de la variable $id que es pasada por el controlador
      $this->db->where('IdZona', $id);
      $query=$this->db->get('zona');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }
   function editarenlace ($IdZona, $data)//permite guardar en la bd la información que se modificó de  la zona
   {
      $this->db->where('IdZona', $IdZona);
      $this->db->update('zona', $data);
      $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo 
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect(base_url().'franquicias/zonas/administrador/zonaA','refresh');

         echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."franquicias/zonas/administrador/zonaA';
                 </script>";
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
        // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        // redirect(base_url()."franquicias/zona/administrador/zonaA/editar/$IdZona",'refresh');

         echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."franquicias/zona/administrador/zonaA/editar/$IdZona';
                 </script>";
      }else {
        // echo "<script>alert('No se hizo nungun cambio');</script>";
        //  redirect(base_url().'zonas/administrador/zonaA','refresh');

          echo "<script>alert('No se hizo nungun cambio');
                 window.location.href='".base_url()."zonas/administrador/zonaA';
                 </script>";
      }
   }

     function buscar($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre de la zona)
    $this->db->like('IdZona', $query);
    $this->db->or_like('NombreZona', $query);
    $query = $this->db->get('zona');
    //Verifica que la consulta se realizo 
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //Muestra una alerta cuando no se realizo
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect(base_url().'franquicias/zonas/administrador/zonaA','refresh');

         echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."franquicias/zonas/administrador/zonaA';
                 </script>";
    }
    }
  }
